### Method

# Secret Value ref

#### Declaration [src]

    SecretValue*
    secret_value_ref (
      SecretValue* value
    )

#### Description [src]

Add another reference to the `SecretValue`.

For each reference `secret_value_unref()` should be called to unreference the value.

#### Return value

Type: `SecretValue`

The value.

The caller of the method takes ownership of the data, and is responsible for freeing it.